GDBserver

Macros | Typedefs | Enumerations
common-types.h File Reference
`#include "bfd.h"`

Go to the source code of this file.

## Macros
#define | CORE_ADDR_MAX (~ (CORE_ADDR) 0)

## Typedefs
typedef bfd_byte | gdb_byte
typedef bfd_vma | CORE_ADDR
typedef long long | LONGEST
typedef unsigned long long | ULONGEST

## Enumerations
enum | tribool { TRIBOOL_UNKNOWN = -1, TRIBOOL_FALSE = 0, TRIBOOL_TRUE = 1 }

## Macro Definition Documentation

## ◆ CORE_ADDR_MAX

#define CORE_ADDR_MAX (~ (CORE_ADDR) 0)

The largest CORE_ADDR value.

Definition at line 59 of file common-types.h.

## Typedef Documentation

## ◆ CORE_ADDR

typedef bfd_vma CORE_ADDR

An address in the program being debugged. Host byte order.

Definition at line 41 of file common-types.h.

## ◆ gdb_byte

typedef bfd_byte gdb_byte

A byte from the program being debugged.

Definition at line 38 of file common-types.h.

## ◆ LONGEST

typedef long long LONGEST

Definition at line 52 of file common-types.h.

## ◆ ULONGEST

typedef unsigned long long ULONGEST

Definition at line 53 of file common-types.h.

## Enumeration Type Documentation

## ◆ tribool

enum tribool

Enumerator
TRIBOOL_UNKNOWN |
TRIBOOL_FALSE |
TRIBOOL_TRUE |

Definition at line 61 of file common-types.h.